body {
    font-family: Arial, sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #fff3fe;
    margin: 0;
}

h1{
    color : rgb(161, 85, 149);
    text-shadow: #f8caf9 1px 2px 20px;
}
.container {
    background: white;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(240, 110, 220, 0.1);
    width: 300px;
    text-align: center;
}

.input-container {
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
}

input {
    flex: 1;
    padding: 5px;
    border: 1px solid #989ea2;
    border-radius: 5px;
}

button {
    margin-left: 5px;
    padding: 5px 10px;
    border: none;
    background: #8dda9f;
    color: white;
    border-radius: 5px;
    cursor: pointer;
}

button:hover {
    background: #2fc24f;
}

ul {
    list-style: none;
    padding: 0;
}

li {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: rgba(94, 91, 93, 0.1);
    padding: 5px;
    margin: 5px 0;
    border-radius: 5px;
}

li span {
    flex: 1;
    cursor: pointer;
}

.completed {
    text-decoration: line-through;
    color: gray;
}

.delete {
    background: #dc515f;
    color: white;
    border: none;
    padding: 3px 7px;
    border-radius: 3px;
    cursor: pointer;
}

.delete:hover {
    background: #c82333;
}